Index: /code/branches/kicklib/src/SpecialConfig.h.in
===================================================================
--- /code/branches/kicklib/src/SpecialConfig.h.in	(revision 8230)
+++ /code/branches/kicklib/src/SpecialConfig.h.in	(revision 8231)
@@ -92,28 +92,10 @@
 
     // OGRE PLUGINS
-    // Apple has trouble finding OGRE plugins because of its install-name convention
-    // Adopting the executable_path structure for later use in app bundles
 #ifdef NDEBUG
     const char ogrePlugins[] = "@OGRE_PLUGINS_RELEASE@";
-#  ifdef DEPENDENCY_PACKAGE_ENABLE
-#    ifdef ORXONOX_PLATFORM_APPLE
-       const char ogrePluginsDirectory[] = "@executable_path/../Plugins";
-#    else
-       const char ogrePluginsDirectory[] = ".";
-#    endif
-#  else
     const char ogrePluginsDirectory[] = "@OGRE_PLUGINS_FOLDER_RELEASE@";
-#  endif
 #else
     const char ogrePlugins[] = "@OGRE_PLUGINS_DEBUG@";
-#  ifdef DEPENDENCY_PACKAGE_ENABLE
-#    ifdef ORXONOX_PLATFORM_APPLE
-       const char ogrePluginsDirectory[] = "@OGRE_PLUGINS_FOLDER_DEBUG@";
-#    else
-       const char ogrePluginsDirectory[] = ".";
-#    endif
-#  else
     const char ogrePluginsDirectory[] = "@OGRE_PLUGINS_FOLDER_DEBUG@";
-#  endif
 #endif
 } }
Index: /code/branches/kicklib/src/libraries/core/GraphicsManager.cc
===================================================================
--- /code/branches/kicklib/src/libraries/core/GraphicsManager.cc	(revision 8230)
+++ /code/branches/kicklib/src/libraries/core/GraphicsManager.cc	(revision 8231)
@@ -30,4 +30,5 @@
 #include "GraphicsManager.h"
 
+#include <cstdlib>
 #include <fstream>
 #include <sstream>
@@ -61,11 +62,4 @@
 #include "command/ConsoleCommand.h"
 
-// Differentiate Boost Filesystem v2 and v3
-#if (BOOST_FILESYSTEM_VERSION < 3)
-#  define BF_NATIVE_STRING file_string
-#else
-#  define BF_NATIVE_STRING string
-#endif
-
 namespace orxonox
 {
@@ -148,6 +142,4 @@
         SetConfigValue(ogreConfigFile_,  "ogre.cfg")
             .description("Location of the Ogre config file");
-        SetConfigValue(ogrePluginsDirectory_, specialConfig::ogrePluginsDirectory)
-            .description("Folder where the Ogre plugins are located.");
         SetConfigValue(ogrePlugins_, specialConfig::ogrePlugins)
             .description("Comma separated list of all plugins to load.");
@@ -241,14 +233,27 @@
     void GraphicsManager::loadOgrePlugins()
     {
-        // just to make sure the next statement doesn't segfault
-        if (ogrePluginsDirectory_.empty())
-            ogrePluginsDirectory_ = '.';
-
-        boost::filesystem::path folder(ogrePluginsDirectory_);
+        // Plugin path can have many different locations...
+        std::string pluginPath = specialConfig::ogrePluginsDirectory;
+#ifdef DEPENDENCY_PACKAGE_ENABLE
+        if (!PathConfig::isDevelopmentRun())
+        {
+#  if defined(ORXONOX_PLATFORM_WINDOWS)
+            pluginPath = PathConfig::getExecutablePathString();
+#  elif defined(ORXONOX_PLATFORM_APPLE)
+            // TODO: Where are the plugins being installed to?
+            pluginPath = PathConfig::getExecutablePathString();
+#  endif
+        }
+#endif
+
+        // Add OGRE plugin path to the environment. That way one plugin could
+        // also depend on another without problems on Windows
+        std::string pathVariable(getenv("PATH"));
+        putenv(const_cast<char*>(("PATH=" + pathVariable + ';' + pluginPath).c_str()));
+
         // Do some SubString magic to get the comma separated list of plugins
         SubString plugins(ogrePlugins_, ",", " ", false, '\\', false, '"', false, '{', '}', false, '\0');
-        // Use backslash paths on Windows! file_string() already does that though.
         for (unsigned int i = 0; i < plugins.size(); ++i)
-            ogreRoot_->loadPlugin((folder / plugins[i]).BF_NATIVE_STRING());
+            ogreRoot_->loadPlugin(plugins[i]);
     }
 
Index: /code/branches/kicklib/src/libraries/core/GraphicsManager.h
===================================================================
--- /code/branches/kicklib/src/libraries/core/GraphicsManager.h	(revision 8230)
+++ /code/branches/kicklib/src/libraries/core/GraphicsManager.h	(revision 8231)
@@ -110,5 +110,4 @@
         // config values
         std::string         ogreConfigFile_;           //!< ogre config filename
-        std::string         ogrePluginsDirectory_;     //!< Directory where the Ogre plugins are located
         std::string         ogrePlugins_;              //!< Comma separated list of all plugins to load
         std::string         ogreLogFile_;              //!< log filename for Ogre log messages
